Author Topic: Upgrade to 1.1.5 HELP  (Read 6350 times)

Offline artist3412

  • Full Member
  • ***
  • Posts: 117
  • Karma: +16/-0
    • View Profile
    • In The Wind Creations
Upgrade to 1.1.5 HELP
« on: May 28, 2013, 10:34:48 AM »
I clicked on the link to upgrade to 1.1.5 and did nothing else and all I see now is this error:

Internal Server Error
The server encountered an internal error or misconfiguration and was unable to complete your request.

Please contact the server administrator, webmaster@inthewindcreations.com and inform them of the time the error occurred, and anything you might have done that may have caused the error.

More information about this error may be available in the server error log.

Additionally, a 404 Not Found error was encountered while trying to use an ErrorDocument to handle the request.


--------------------------------------------------------------------------------

Apache/2.2.24 (Unix) mod_hive/3.5 mod_ssl/2.2.24 OpenSSL/0.9.8e-fips-rhel5 mod_auth_passthrough/2.1 mod_bwlimited/1.4 FrontPage/5.0.2.2635 mod_jk/1.2.35 Server at inthewindcreations.com Port 80
To send light into the darkness of men's hearts - such is the duty of the artist.  ~Schumann

Offline abolabo

  • core-developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 1781
  • Karma: +247/-11
  • web for all, all for web!
    • View Profile
    • AbanteCart
Re: Upgrade to 1.1.5 HELP
« Reply #1 on: May 28, 2013, 10:39:46 AM »
More information about this error may be available in the server error log.


what is in server log?
“No one is useless in this world who lightens the burdens of another.”
― Charles Dickens

Offline artist3412

  • Full Member
  • ***
  • Posts: 117
  • Karma: +16/-0
    • View Profile
    • In The Wind Creations
Re: Upgrade to 1.1.5 HELP
« Reply #2 on: May 28, 2013, 10:51:50 AM »
[2013-05-28 06:35:47]: error: file is writable by others: (/home/artist34/public_html/AbanteCart/index.php)
[Tue May 28 07:18:56 2013] [error] [client 24.32.179.125] File does not exist: /home/artist34/public_html/500.shtml, referer: http://www.inthewindcreations.com/
[Tue May 28 07:18:51 2013] [error] [client 24.32.179.125] File does not exist: /home/artist34/public_html/500.shtml, referer: http://www.inthewindcreations.com/
[Tue May 28 07:11:44 2013] [error] [client 65.55.215.78] File does not exist: /home/artist34/public_html/404.shtml
[Tue May 28 07:11:44 2013] [error] [client 65.55.215.78] File does not exist: /home/artist34/public_html/robots.txt
[Tue May 28 07:08:18 2013] [error] [client 24.32.179.125] File does not exist: /home/artist34/public_html/500.shtml
[Tue May 28 07:08:02 2013] [error] [client 24.32.179.125] File does not exist: /home/artist34/public_html/404.shtml
« Last Edit: May 31, 2013, 10:20:56 PM by abantecart »
To send light into the darkness of men's hearts - such is the duty of the artist.  ~Schumann

Offline abolabo

  • core-developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 1781
  • Karma: +247/-11
  • web for all, all for web!
    • View Profile
    • AbanteCart
Re: Upgrade to 1.1.5 HELP
« Reply #3 on: May 28, 2013, 10:54:43 AM »
did you tried to set permission for file /home/artist34/public_html/AbanteCart/index.php to 644 via ftp ?
probably hosting provider have some specific security rules.

also check permissions for files .htaccess. it must be 644
“No one is useless in this world who lightens the burdens of another.”
― Charles Dickens

Offline artist3412

  • Full Member
  • ***
  • Posts: 117
  • Karma: +16/-0
    • View Profile
    • In The Wind Creations
Re: Upgrade to 1.1.5 HELP
« Reply #4 on: May 28, 2013, 10:58:54 AM »
on upgrade to 1.1.4 all I did was click the link that was sent to me and it went through fine. I did that again, just clicked the link in my message box and I could no longer get on this tome. I have not had to do any FTP since I started this site
To send light into the darkness of men's hearts - such is the duty of the artist.  ~Schumann

Offline artist3412

  • Full Member
  • ***
  • Posts: 117
  • Karma: +16/-0
    • View Profile
    • In The Wind Creations
Re: Upgrade to 1.1.5 HELP
« Reply #5 on: May 28, 2013, 11:17:58 AM »
I did find that my php files were trying to open in my printshop program so I changed the association for these files types to notepad. Maybe that caused an issue when it tried to update because the PHP files were not opening? Is there a way to go back to my 1.1.4 version and then try the upgrade again now that they will open with notepad?
To send light into the darkness of men's hearts - such is the duty of the artist.  ~Schumann

Offline abolabo

  • core-developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 1781
  • Karma: +247/-11
  • web for all, all for web!
    • View Profile
    • AbanteCart
Re: Upgrade to 1.1.5 HELP
« Reply #6 on: May 28, 2013, 11:27:55 AM »
I did find that my php files were trying to open in my printshop program so I changed the association for these files types to notepad. Maybe that caused an issue when it tried to update because the PHP files were not opening? Is there a way to go back to my 1.1.4 version and then try the upgrade again now that they will open with notepad?

be careful with notepad under windows platform. It changes line breaks and charset of files. Abantecart use UTF-8 as default charset with unix line breaks.
but check permissions for .htaccess file in your cpanel. It must be 644 (write-read-read).
“No one is useless in this world who lightens the burdens of another.”
― Charles Dickens

Offline artist3412

  • Full Member
  • ***
  • Posts: 117
  • Karma: +16/-0
    • View Profile
    • In The Wind Creations
Re: Upgrade to 1.1.5 HELP
« Reply #7 on: May 28, 2013, 11:46:44 AM »
It is permission 644. Is there a way to go back to version 1.1.4 for the time being?
To send light into the darkness of men's hearts - such is the duty of the artist.  ~Schumann

Offline abolabo

  • core-developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 1781
  • Karma: +247/-11
  • web for all, all for web!
    • View Profile
    • AbanteCart
Re: Upgrade to 1.1.5 HELP
« Reply #8 on: May 28, 2013, 11:52:03 AM »
It is permission 644. Is there a way to go back to version 1.1.4 for the time being?

yes. archive with all old files in admin/system/backup directory.
Can i look on your system/logs/error.txt file ?
“No one is useless in this world who lightens the burdens of another.”
― Charles Dickens

Offline artist3412

  • Full Member
  • ***
  • Posts: 117
  • Karma: +16/-0
    • View Profile
    • In The Wind Creations
Re: Upgrade to 1.1.5 HELP
« Reply #9 on: May 28, 2013, 11:58:05 AM »
I will private message you my cpanel link and log in info. I would sure appreciate any help you can give me.
To send light into the darkness of men's hearts - such is the duty of the artist.  ~Schumann

Offline ygalbrami

  • Full Member
  • ***
  • Posts: 128
  • Karma: +9/-2
    • View Profile
Re: Upgrade to 1.1.5 HELP
« Reply #10 on: May 28, 2013, 12:29:32 PM »
i have uptdate to 1.15 too and same problem i see error 403 in all my website,  can't login to the admin also.

please help.

Offline abolabo

  • core-developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 1781
  • Karma: +247/-11
  • web for all, all for web!
    • View Profile
    • AbanteCart
Re: Upgrade to 1.1.5 HELP
« Reply #11 on: May 28, 2013, 05:13:31 PM »
problem is permission for index.php file. After upgrade installer set it to 777, but some hosting providers have it's own security policy for that case and server go to error page (http 500).
You just need to change permission for file index.php to 644 from filemanager of CPanel.
“No one is useless in this world who lightens the burdens of another.”
― Charles Dickens

Offline artist3412

  • Full Member
  • ***
  • Posts: 117
  • Karma: +16/-0
    • View Profile
    • In The Wind Creations
Re: Upgrade to 1.1.5 HELP
« Reply #12 on: May 28, 2013, 06:17:31 PM »
I must have looked at the wrong file for ht access, the one I saw said 644. Thanks so much for your quick response!
To send light into the darkness of men's hearts - such is the duty of the artist.  ~Schumann

Offline ItsAGr8Day

  • Newbie
  • *
  • Posts: 10
  • Karma: +0/-0
  • Lynn
    • View Profile
    • Kuchie's Treasures
Re: Upgrade to 1.1.5 HELP
« Reply #13 on: May 28, 2013, 07:33:16 PM »
My site is still down after following the directions to change the index.txt file to 644.  Are there any other words of wisdom to help me to try to get my site live again?  Thx!

Offline ItsAGr8Day

  • Newbie
  • *
  • Posts: 10
  • Karma: +0/-0
  • Lynn
    • View Profile
    • Kuchie's Treasures
Re: Upgrade to 1.1.5 HELP
« Reply #14 on: May 28, 2013, 08:07:06 PM »
Okay - so I tried setting the index.php file back to 644, and my website is up and I can now log into admin.  There is an error that I do not understand.   In the message manager, it says "Error: cannot create sql dump of database during backup".  What does this mean and how should I correct it?  Also, don't I need to set the index.php file back to 777?  When I do, the website goes away again.  Thx!

 

Powered by SMFPacks Social Login Mod